#import <Foundation/Foundation.h>

#if !__has_feature(objc_arc)
@interface PCAutoreleasePool : NSObject 
{
	NSUInteger iFlushInterval;
	NSUInteger iFlushCounter;
    NSAutoreleasePool *iAutoreleasePool;
}

@property (assign) NSUInteger flushInterval;

- (id)initWithFlushInterval:(NSUInteger)interval;

- (BOOL)increment;
- (void)drain;
- (void)flush; // drains the current pool and creates another one
@end
#endif
