#import <Cocoa/Cocoa.h>
#import <PanicCore/Protocols.h>
#import "PCControlsConfiguration.h"

@interface PCButton : NSButton
{
	NSObject <PCViewDraggingDelegateProtocol> * iDraggingDelegate;
}

@property (assign, readwrite) NSObject *draggingDelegate;

@end


@interface PCButtonCell : NSButtonCell
{
	PCControlBezelStyle	_bezel;
	NSColor *_fillColor;
	NSColor *_bezelColor;
}

@property (nonatomic, assign) PCControlBezelStyle bezel;
@property (nonatomic, retain) NSColor *fillColor;
@property (nonatomic, retain) NSColor *bezelColor;

@end