//
//  NSObject+Introspection.h
//  PanicCore
//
//  Created by Logan Collins on 4/21/14.
//  Copyright (c) 2014 Panic Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <objc/runtime.h>


@interface NSObject (Introspection)

+ (Method)pc_classMethodWithSelector:(SEL)selector searchSuperclasses:(BOOL)searchSuperclasses;
+ (Method)pc_instanceMethodWithSelector:(SEL)selector searchSuperclasses:(BOOL)searchSuperclasses;

+ (void)pc_exchangeClassMethodImplementationForSelector:(SEL)firstSelector withSelector:(SEL)secondSelector;
+ (void)pc_exchangeInstanceMethodImplementationForSelector:(SEL)firstSelector withSelector:(SEL)secondSelector;

@end
