//
//  PanicCoreDefines.h
//  PanicCore
//
//  Copyright (c) 2014 Panic Inc. All rights reserved.
//

#import <Foundation/Foundation.h>


#define PANICCORE_EXTERN extern __attribute__((visibility("default")))
#define PANICCORE_INLINE static inline __attribute__((visibility("default")))

#if (__has_feature(objc_fixed_enum))
#define PANICCORE_ENUM(_type, _name) enum _name : _type _name; enum _name : _type
#define PANICCORE_OPTIONS(_type, _name) enum _name : _type _name; enum _name : _type
#else
#define PANICCORE_ENUM(_type, _name) _type _name; enum
#define PANICCORE_OPTIONS(_type, _name) _type _name; enum
#endif

#define PANICCORE_DEPRECATED(reason) __attribute__((deprecated(reason)))
